R4i SDHC problem

Discussion in '3DS - Flashcards & Custom Firmwares' started by Kusan, May 11, 2013.

  1. Kusan
    OP

    Kusan GBAtemp Regular

    Member
    103
    0
    Mar 23, 2008
    Mexico
    Argg..hello, I have an R4i SDHC (r4isdhc.com), yesterday it worked completely, flawless. Today I try to run it and the "an error has ocurred" appears, I know the most possible cause is a 3DS update, which wasn't done since I'm in 5.1.0-11, the flashcard worked on it yesterday...today it won't, I tried using a different SD card but the problem remains the same.

    Possible solutions? I remember old R4s needed a little piece of paper on the SD slot to make contact or something, could that be the problem or this is a flawed card? Because as I have repeated: it worked fine, with no problems at all.

    Please help D:
     
  2. zarabow
    This message by zarabow has been removed from public view by Costello, Jun 19, 2013.
    May 11, 2013
  3. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,113
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
  4. Kusan
    OP

    Kusan GBAtemp Regular

    Member
    103
    0
    Mar 23, 2008
    Mexico
    Do I have to run the update? 'Cause on the flashcart's site it says that the update is for 4.5.0-10 and this new flashcarts (with the 2013 label) don't need it. As I said it worked on the 5.1.0-11, it suddenly stopped working. I will try to update to see what happens.

    Thanks.
     
  5. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,113
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    If it's not a contact issue then it's likely that the bootloader has been modified somehow (it can happen on accident in normal use in certain very specific situations), in which case you'll want to run the "update" in order to rewrite the important parts of the cart's bootloader.

    In many cases, flash carts that worked on 4.5.x still worked on 5.x (5.x did little blocking it seems), so if your cart's site says that nothing needed to be updated you should be good (assuming they're not handing out incorrectly-worded info, which happens since they're all Chinese).
     
    nukeboy95 likes this.
  6. Kusan
    OP

    Kusan GBAtemp Regular

    Member
    103
    0
    Mar 23, 2008
    Mexico
    Makes sense, I'm going to try it then. Thanks a lot.
     
  7. Kusan
    OP

    Kusan GBAtemp Regular

    Member
    103
    0
    Mar 23, 2008
    Mexico
    Is it legal to double-post? If not, then I'm sorry. The flashcard doesn't run on the DSi (it isn't updated), so I'm thinking something inside the cart is broken and it's good-bye. Any tips?
     
  8. pyromaniac123

    pyromaniac123 ส็็็็็็็็็็็็็็็็็็็(ಠ益ಠส็็็็็็็็็็็็็็็็็็็

    Member
    2,001
    1,671
    Sep 24, 2011
    The police will come to your house and shoot you in the face.
     
    Rydian and Trevor Belmont like this.
  9. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,113
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    In my opinion double posts that come later and add more important info (like in this situation) are fine, but I don't run the site.

    Anyways if it doesn't run on the DS Lite either and it does the same thing with a different MicroSD that has the right software on it, then yeah it sounds like too much of the bootloader was damaged.
    http://wiki.gbatemp.net/wiki/Updating_the_AK2i_Bootloader
    "Unbricking a bricked cart" shows what to do. It's for the Ak2i, but the update method the AK2i used is what most flash carts that came after it use anyways so the instructions will be similar. You will need another flash cart, and to do this on the Lite.